summaryrefslogtreecommitdiffstats
path: root/sysutils
diff options
context:
space:
mode:
authorjeh <jeh@FreeBSD.org>2001-01-13 02:01:09 +0000
committerjeh <jeh@FreeBSD.org>2001-01-13 02:01:09 +0000
commitd058ba6833f65a005ab7c81292078617393a9a86 (patch)
treea2184e2db61b325fe09f2148b5a6a80c9ad4872d /sysutils
parent67eb8ea06467a2b98b8077c60cbc5990a89ca333 (diff)
downloadFreeBSD-ports-d058ba6833f65a005ab7c81292078617393a9a86.zip
FreeBSD-ports-d058ba6833f65a005ab7c81292078617393a9a86.tar.gz
upsd (/usr/ports/sysutils/upsd) does not have a startup/shutdown
script for placement into /usr/local/etc/rc.d. PR: 21517 Submitted by: Stephen Beitzel <sbeitzel@mumble.foobie.net>
Diffstat (limited to 'sysutils')
-rw-r--r--sysutils/upsd/files/upsd.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/sysutils/upsd/files/upsd.sh b/sysutils/upsd/files/upsd.sh
new file mode 100644
index 0000000..e8540a1
--- /dev/null
+++ b/sysutils/upsd/files/upsd.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+ start)
+ [ -x ${PREFIX}/sbin/upsd ] && ${PREFIX}/sbin/upsd && echo -n ' upsd'
+ ;;
+ stop)
+ [ -f /var/run/upsd.pid ] && kill -QUIT `cat /var/run/upsd.pid` && echo -n ' upsd'
+ ;;
+ *)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+ esac
+
+exit 0
OpenPOWER on IntegriCloud